<ion-header >
    <ion-navbar class="dawn-bar">
      <button ion-button menuToggle>
        <ion-icon name="menu"></ion-icon>
      </button>
      <ion-title>Upcoming Appointments</ion-title>
    </ion-navbar> 
  </ion-header>

<ion-content>

  <ion-grid>
      <ion-row  *ngFor="let Up of upcomming "class="images-and-text-box">
          <ion-col col-5 class="images-box">
              <img src="assets/imgs/Upcoming-icon.png" />
              <h6>{{Up.start |date :'d MMM yy'}}</h6>
              <p>{{Up.start |date :'h:mm'}} - {{Up.end |date :'h:mm '}}</p>
          </ion-col>
          <ion-col col-7 class="text-box">
                <h4>{{Up.companyname}}</h4>
                <h6  *ngIf="Up.ratings==0" >


                        <ion-icon style=" color: #fdb915;" name="ios-star-outline"></ion-icon>
                        <ion-icon   style=" color: #fdb915;"  name="ios-star-outline"></ion-icon>
                        <ion-icon  style=" color: #fdb915;"  name="ios-star-outline"></ion-icon>
                        <ion-icon  style=" color: #fdb915;"  name="ios-star-outline"></ion-icon>
                        <ion-icon  style=" color: #fdb915;"  name="ios-star-outline"></ion-icon>
                    <!-- <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon> -->
                </h6>

                <h6  *ngIf="Up.ratings==1" >
                        <ion-icon name="ios-star"  style=" color: #fdb915;"></ion-icon>

                </h6>
                <h6  *ngIf="Up.ratings==2" >
                        <ion-icon *ngFor="let i of [1,2]"  style=" color: #fdb915;" name="ios-star"></ion-icon>

                </h6>
                <h6  *ngIf="Up.ratings==3" >
                        <ion-icon *ngFor="let i of [1,2,3]"  style=" color: #fdb915;" name="ios-star"></ion-icon>

                </h6>
                <h6  *ngIf="Up.ratings==4" >
                        <ion-icon *ngFor="let i of [1,2,3,4]"  style=" color: #fdb915;" name="ios-star"></ion-icon>

                </h6>
                <h6  *ngIf="Up.ratings==5" >
                        <ion-icon *ngFor="let i of [1,2,3,4,5]"  style=" color: #fdb915;" name="ios-star"></ion-icon>

                </h6>
                <p><ion-icon name="md-pin"></ion-icon> {{Up.providerdetails.city}}</p>
          </ion-col>
      </ion-row>

      <!-- <ion-row class="images-and-text-box">
          <ion-col col-5 class="images-box">
              <img src="assets/imgs/Upcoming-icon.png" />
              <h6>12 May  2018</h6>
              <p>5:00 PM - 6:00 PM</p>
          </ion-col>
          <ion-col col-7 class="text-box">
                <h4>Dawn Recruitment</h4>
                <h6>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                </h6>
                <p><ion-icon name="md-pin"></ion-icon> London</p>
          </ion-col>
      </ion-row>


      <ion-row class="images-and-text-box">
          <ion-col col-5 class="images-box">
              <img src="assets/imgs/Upcoming-icon.png" />
              <h6>12 May  2018</h6>
              <p>5:00 PM - 6:00 PM</p>
          </ion-col>
          <ion-col col-7 class="text-box">
                <h4>Dawn Recruitment</h4>
                <h6>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                </h6>
                <p><ion-icon name="md-pin"></ion-icon> London</p>
          </ion-col>
      </ion-row>


      <ion-row class="images-and-text-box">
          <ion-col col-5 class="images-box">
              <img src="assets/imgs/Upcoming-icon.png" />
              <h6>12 May  2018</h6>
              <p>5:00 PM - 6:00 PM</p>
          </ion-col>
          <ion-col col-7 class="text-box">
                <h4>Dawn Recruitment</h4>
                <h6>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                </h6>
                <p><ion-icon name="md-pin"></ion-icon> London</p>
          </ion-col>
      </ion-row>


      <ion-row class="images-and-text-box">
          <ion-col col-5 class="images-box">
              <img src="assets/imgs/Upcoming-icon.png" />
              <h6>12 May  2018</h6>
              <p>5:00 PM - 6:00 PM</p>
          </ion-col>
          <ion-col col-7 class="text-box">
                <h4>Dawn Recruitment</h4>
                <h6>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                    <ion-icon name="star"></ion-icon>
                </h6>
                <p><ion-icon name="md-pin"></ion-icon> London</p>
          </ion-col>
      </ion-row> -->
  </ion-grid>

</ion-content>
